UUTO(1C)

NAME
uuto, uupick - public UNIX-to-UNIX system file copy

SYNOPSIS
uuto [ options ] source-files destination
uupick [ -s system ]

DESCRIPTION
Uuto sends source-files to destination. Uuto uses the uucp(1C) facility to send files, while it allows the local system to control the file access. A source-file name is a path name on your machine. Destination has the form:
    system!user

where system is taken from a list of system names that uucp knows about (see uuname). User is the login name of someone on the specified system.

Two options are available:

-p  Copy the source file into the spool directory before transmission.
-m  Send mail to the sender when the copy is complete.

The files (or sub-trees if directories are specified) are sent to PUBDIR on system, where PUBDIR is a public directory defined in the uucp source. Specifically the files are sent to

    PUBDIR/receive/user/mysystem/files.

The destined recipient is notified by mail(1) of the arrival of files.

Uupick accepts or rejects the files transmitted to the user. Specifically, uupick searches PUBDIR for files destined for the user. For each entry (file or directory) found, the following message is printed on the standard output:
    from system: [file file-name] [dir dirname] ?

Uupick then reads a line from the standard input to determine the disposition of the file:

<new-line>
    Go on to next entry.

d   Delete the entry.

m [ dir ]
    Move the entry to named directory dir. If dir is not specified as a complete path name (in which $HOME is legitimate), a destination relative to the current directory is assumed. If no destination is given, the default is the current directory.

a [ dir ]
    Same as m except moving all the files sent from system.

p   Print the content of the file.

q   Stop.

EOT (control-d)
    Same as q.

!command
    Escape to the shell to do command.

*   Print a command summary.

Uupick invoked with the -s system option will only search the PUBDIR for files sent from system.

FILES
PUBDIR    /usr/spool/uucppublic       public directory

NOTES
In order to send files that begin with a dot (e.g., .profile) the files must by qualified with a dot. For example: .profile, .prof*, .profil? are correct; whereas *prof*, ?profile are incorrect.

SEE ALSO
mail(1), uucp(1C), uustat(1C), uux(1C), uucleanup(1M).